ComRaidComRaid Docs
API referenceSegments

Create segment

Creates a saved Segment. Rules must include at least one condition (use Everyone targeting for all Contacts). At most 50 conditions and 1,000 values per `in` list. Name collisions return 409 `segment_name_taken`.

POST
/segments

Creates a saved Segment. Rules must include at least one condition (use Everyone targeting for all Contacts). At most 50 conditions and 1,000 values per in list. Name collisions return 409 segment_name_taken.

Authorization

bearerAuth
headerAuthorizationBearer <API key>

Project API key (cr_sk_...)

Request Body

application/json
  1. body

Create body. rules.conditions must be non-empty (at most 50). Each in list may have at most 1,000 values.

name*string
Length1 <= length
description?string
rules*

Response Body

Created

application/json
  1. response
segment_id*string
Formatuuid
status*string
Value in"active""archived"
updated_at*string
Formatdate-time
Example Request
curl -X POST 'https://api.comraid.io/segments' \  -H 'Content-Type: application/json' \  -d '{  "name": "string",  "rules": {    "operator": "and",    "conditions": [      {        "field": "string",        "op": "string"      }    ]  }}'
Example Response
{  "segment_id": "0dbbf761-5b2d-4647-8bfa-2b714456749c",  "status": "active",  "updated_at": "2019-08-24T14:15:22Z"}